/************************************************************************
 *  This file is part of assets-cli.
 *
 *  assets-cli is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * assets-cli is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with assets-cli.  If not, see <http://www.gnu.org/licenses/>.
 ***********************************************************************/

#include "check_asset_c.h"

#include "../src/asset.h"

struct asset* simple_asset;

void setup(void)
{
  simple_asset = asset_create(99.99, 8.0, "Assets:Machine");
}

void teardown(void)
{
  asset_free(simple_asset);
}

START_TEST(test_asset_create)
{
  ck_assert(simple_asset);
}
END_TEST

/* START_TEST(test_asset_get_deprication_financial) */
/* { */
/*   asset_get_deprication(simple_asset, FINANCIAL_ACCOUNTING); */
/* } */
/* END_TEST */

/* START_TEST(test_asset_get_deprication_cost) */
/* { */
/*   asset_get_deprication(simple_asset, COST_ACCOUNTING); */
/* } */
/* END_TEST */

Suite * asset_suite(void)
{
  Suite *s;
  TCase *tc_core;
  TCase *tc_limits;

  s = suite_create("Asset");

  /* Core test case */
  tc_core = tcase_create("Core");

  tcase_add_checked_fixture(tc_core, setup, teardown);
  tcase_add_test(tc_core, test_asset_create);
  suite_add_tcase(s, tc_core);

  return s;
}
