/************************************************************************
 *  This file is part of assets-cli.
 *
 *  assets-cli is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 * assets-cli is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with assets-cli.  If not, see <http://www.gnu.org/licenses/>.
 ***********************************************************************/

#include <stdlib.h>
#include <check.h>

#include "check_asset_c.h"

int main(void)
{
  int number_failed, i;
  Suite *suite_arr[]  =
    {
      asset_suite(),
      NULL
    };
  SRunner *sr;

  number_failed = 0;
  for (i = 0; suite_arr[i] != NULL && number_failed == 0; i++) {
    sr = srunner_create(suite_arr[i]);
    srunner_run_all(sr, CK_NORMAL);
    number_failed = srunner_ntests_failed(sr);
    srunner_free(sr);
  }

  return (number_failed == 0) ?
    EXIT_SUCCESS :
    EXIT_FAILURE;
}
